
package com.tmerclub.cloud.product.dto;

import io.swagger.v3.oas.annotations.media.Schema;

import java.io.Serial;
import java.io.Serializable;

/**
 * 商品供应商变更记录DTO
 *
 * @author lhd
 * @date 2022-06-22 16:57:27
 */
public class SpuSupplierChangeLogDTO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "商品供应商变更记录id")
    private Long spuChangeId;

    @Schema(description = "商品id")
    private Long spuId;

    @Schema(description = "变更类型 1.商品上架 2.商品下架 3.代销sku信息变更 4.新增sku")
    private Integer changeType;

    @Schema(description = "备注")
    private String remarks;

    public Long getSpuChangeId() {
        return spuChangeId;
    }

    public void setSpuChangeId(Long spuChangeId) {
        this.spuChangeId = spuChangeId;
    }

    public Long getSpuId() {
        return spuId;
    }

    public void setSpuId(Long spuId) {
        this.spuId = spuId;
    }

    public Integer getChangeType() {
        return changeType;
    }

    public void setChangeType(Integer changeType) {
        this.changeType = changeType;
    }

    public String getRemarks() {
        return remarks;
    }

    public void setRemarks(String remarks) {
        this.remarks = remarks;
    }

    @Override
    public String toString() {
        return "SpuSupplierChangeLogDTO{" +
                "spuChangeId=" + spuChangeId +
                ",spuId=" + spuId +
                ",changeType=" + changeType +
                ",remarks=" + remarks +
                '}';
    }
}
